Skip to main content
GET
/
process
List all processes
curl --request GET \
  --url https://sbx-{sandbox_id}-{workspace_id}.{region}.bl.run/process \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://sbx-{sandbox_id}-{workspace_id}.{region}.bl.run/process"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://sbx-{sandbox_id}-{workspace_id}.{region}.bl.run/process', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


[
  {
    "command": "ls -la",
    "completedAt": "Wed, 01 Jan 2023 12:01:00 GMT",
    "exitCode": 0,
    "logs": "logs output",
    "name": "my-process",
    "pid": "1234",
    "startedAt": "Wed, 01 Jan 2023 12:00:00 GMT",
    "status": "running",
    "stderr": "stderr output",
    "stdout": "stdout output",
    "workingDir": "/home/user",
    "keepAlive": false,
    "maxRestarts": 3,
    "restartCount": 2,
    "restartOnFailure": true
  }
]

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Response

200 - application/json

Process list

command
string
required
Example:

"ls -la"

completedAt
string
required
Example:

"Wed, 01 Jan 2023 12:01:00 GMT"

exitCode
integer
required
Example:

0

logs
string
required
Example:

"logs output"

name
string
required
Example:

"my-process"

pid
string
required
Example:

"1234"

startedAt
string
required
Example:

"Wed, 01 Jan 2023 12:00:00 GMT"

status
enum<string>
required
Available options:
failed,
killed,
stopped,
running,
completed
Example:

"running"

stderr
string
required
Example:

"stderr output"

stdout
string
required
Example:

"stdout output"

workingDir
string
required
Example:

"/home/user"

keepAlive
boolean

Whether scale-to-zero is disabled for this process

Example:

false

maxRestarts
integer
Example:

3

restartCount
integer
Example:

2

restartOnFailure
boolean
Example:

true

Last modified on June 17, 2026